import sys  # sys нужен для передачи argv в QApplication
from PyQt5 import QtWidgets
import form  # Это наш конвертированный файл дизайна form.ui в form.py

class ExampleApp(QtWidgets.QMainWindow, form.Ui_MainWindow):
    def __init__(self):
        # Это здесь нужно для доступа к переменным, методам и т.д. в файле form.py
        super().__init__()
        self.setupUi(self)  # Это нужно для инициализации нашего дизайна

        #реализация связи объекта и функции, реализующей метод
        self.BtnGetText.clicked.connect(self.get_text)
        self.BtnClearText.clicked.connect(self.clear_text)

    #метод получения текста из поля и вывода его в лейбл
    def get_text(self):
        str = self.EditText.text()
        self.LblText.setText('Вы ввели: '+str)

    #метод очистки текстового поля и лейбла
    def clear_text(self):
        self.EditText.setText('')
        self.LblText.setText('Вы ввели:')

def main():
    app = QtWidgets.QApplication(sys.argv)  # Новый экземпляр QApplication
    window = ExampleApp()  # Создаём объект класса ExampleApp
    window.show()  # Показываем окно
    app.exec_()  # и запускаем приложение

if __name__ == '__main__':  # Если мы запускаем файл напрямую, а не импортируем, то запускаем функцию main()
    main()